IRCAT(1)

NAME
ircat - print strings when pressing buttons

SYNOPSIS
ircat [options] <prog>

DESCRIPTION
This program prints config strings to standard output. It can be used to provide remote control input to scripts and to debug your .lircrc file.

The argument to the program is the program name, as it appears in the prog entries in .lircrc.

-h --help
    display usage summary

-v --version
    display version

-c --config=<file>
    set config file

EXAMPLES
If .lircrc contains:

begin
	prog = myprog
	button = tv_p+
	config = next_file
end

then

$ ircat myprog

will print "next_file" (followed by newline) every time the button tv_p+ is pressed.

SEE ALSO
The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.